summaryrefslogtreecommitdiff
path: root/sci-calculators
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-18 19:40:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-18 19:40:15 +0000
commit8b8fab299cd85f79b380eaea4db4b7198b4f8e90 (patch)
tree94a9a598f7ae20e7f809625d0d317fee8d451ace /sci-calculators
parentb1a0e9440714a999635da16e8334121f5e0f74c2 (diff)
downloadbaldeagleos-repo-8b8fab299cd85f79b380eaea4db4b7198b4f8e90.tar.gz
baldeagleos-repo-8b8fab299cd85f79b380eaea4db4b7198b4f8e90.tar.xz
baldeagleos-repo-8b8fab299cd85f79b380eaea4db4b7198b4f8e90.zip
Adding metadata
Diffstat (limited to 'sci-calculators')
-rw-r--r--sci-calculators/units/Manifest1
-rw-r--r--sci-calculators/units/units-2.25.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/sci-calculators/units/Manifest b/sci-calculators/units/Manifest
index af87b5b9bb2e..9e8e292973d8 100644
--- a/sci-calculators/units/Manifest
+++ b/sci-calculators/units/Manifest
@@ -1 +1,2 @@
DIST units-2.24.tar.gz 1493600 BLAKE2B e3f31b212dde2cd438f2ce40bef7ab413c18fb36ad2ab233fe62c6fb3f424f99f9c1878cd86239bc476d7805bf418ce1c2821b3b03b1a0e81cffa9b83e05ced2 SHA512 cf0a5f3ad410ff3eeaabfac71f5570b1eed9014c0a76afb6e6f3059b5eb3184cb577f9f76b1c5acd3a1aa8beb12ad060af5af00eef8361d68a7a19697486540f
+DIST units-2.25.tar.gz 1735230 BLAKE2B 97862ed7345e48b3b25a58c0e764242e5c9453be54d50f16e75d0f98ee73854bde261ea3749764a55fd3ca7cbfe9aac20a05532120f599b1f68c4564a8c0ecfe SHA512 0483e149936d56378b384bf399e5083ea9824c8bbf177426509a7ca90127774ebb509d9ec497acfdbebb785d85ddee15215276d53bc955ff7a196401e12c7578
diff --git a/sci-calculators/units/units-2.25.ebuild b/sci-calculators/units/units-2.25.ebuild
new file mode 100644
index 000000000000..2001971a6d81
--- /dev/null
+++ b/sci-calculators/units/units-2.25.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..14} )
+inherit python-r1
+
+DESCRIPTION="Unit conversion program"
+HOMEPAGE="https://www.gnu.org/software/units/units.html"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+
+LICENSE="FDL-1.3 GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+units-cur"
+REQUIRED_USE="units-cur? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+ sys-libs/readline:=
+ units-cur? (
+ ${PYTHON_DEPS}
+ $(python_gen_cond_dep '
+ dev-python/requests[${PYTHON_USEDEP}]
+ ')
+ )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.20-readerror.patch
+)
+
+DOCS=( NEWS README )
+
+src_configure() {
+ local myconf=(
+ --sharedstatedir="${EPREFIX}"/var/lib
+ ac_cv_path_PYTHON=no
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_compile() {
+ emake ${PN}
+}
+
+src_install() {
+ default
+
+ if use units-cur; then
+ sed \
+ -e 's|^#!|&/usr/bin/python|g' \
+ units_cur_inst > units_cur || die
+ python_foreach_impl python_doscript units_cur
+ fi
+}